@echo off

:
: Liam Burke
: 23 March 2010
: Microsoft IASParse File Logger
: Please feel free to improve upon the batch file, but don't forget to leave my name in this header!
:


cls
echo .
echo Please choose what you would like to do:
echo .
echo 1. Parse a logfile and output to a file
echo 2. Parse a logfile and output to the screen
echo .
rem Set Default Choice
set choice=1
set /P choice=Choose your action (1,2) [1]?
if "%choice%"=="1" goto ChooseFileDump
if "%choice%"=="2" goto screenlog

:ChooseFileDump
echo.
echo IAS Log File Parser 'Wrap'
echo Working Directory default is c:\logdump - make sure the folder exists
echo Input the Logfile to be parsed (from the local directory)
echo.
echo 1. Default Log File
echo 2. Manual Input
echo. 
set choice=2
set /P choice=Choose Logfile (1,2) [2]?

if "%choice%"=="1" goto SetLogChoice1
if "%choice%"=="2" goto SetLogChoice2

:SetLogChoice1
set InputLog=today.log
set WorkingDir=c:\logdump
goto question_me-nologprompt

:SetLogChoice2
set InputLog=
set WorkingDir=c:\logdump

goto question_me-logprompt

:question_me-nologprompt
set OutputLog=%InputLog%-Output.log
set /P OutputLog=Output Log: [%InputLog%-Output.log]?
set /p WorkingDir=Working Directory: [%WorkingDir%]?
goto run_iasparse_DumpLog

:question_me-logprompt
set /P InputLog=Input Log: [%InputLog%]?
set OutputLog=%InputLog%-Output.log
set /P OutputLog=Output Log: [%InputLog%-Output.log]?
set /p WorkingDir=Working Directory: [%WorkingDir%]?
goto run_iasparse_DumpLog

:run_iasparse_DumpLog
iasparse -f:%InputLog% > %Workingdir%\%OutputLog%
goto end


:screenlog
echo.
echo IAS Log File Parser 'Wrap'
echo Working Directory default is c:\logdump - make sure the folder exists
echo Input the Logfile to be parsed
echo.
echo 1. Default Log File
echo 2. Manual Input
echo. 
set choice=2
set /P choice=Choose Logfile (1,2) [2]?

if "%choice%"=="1" goto SetLogChoiceScr1
if "%choice%"=="2" goto SetLogChoiceScr2

:SetLogChoiceScr1
set InputLog=today.log
goto run_iasparse_screen

:SetLogChoiceScr2
set InputLog=
set /P InputLog=Input Log: [%InputLog%]?
goto run_iasparse_screen


:run_iasparse_screen
iasparse -f:%InputLog% | more
goto end

:end
echo Done!
pause


